Package org.apache.solr.common.cloud

## Class ZkCredentialsProvider.ZkCredentials

- java.lang.Object
- - org.apache.solr.common.cloud.ZkCredentialsProvider.ZkCredentials

Enclosing interface:
  ZkCredentialsProvider

    public static class ZkCredentialsProvider.ZkCredentials
    extends Object

### Constructor Summary

Constructors
`ZkCredentials​(String scheme, byte[] auth)`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `getAuth()`
`String` `getScheme()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ZkCredentials

    public ZkCredentials​(String scheme,
                         byte[] auth)

### Method Detail

#### getScheme

    public String getScheme()

#### getAuth

    public byte[] getAuth()